Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.client
Class ActionQueue

    java.lang.Object
      gecco.client.ActionQueue

public class ActionQueue
extends Object

This is a Queue (with methods get, peek, put, remove, empty and isEmpty) that contains actions. All elements currently in the queue are accessible via the actions() method.

Author:
  Andreas Enblom

Constructor Summary
`ActionQueue()`

Method Summary
`Vector` | `actions()` Returns a Vector with the actions that are currently in the queue.
`void` | `empty()` Description of the Method
`Action` | `get()` Description of the Method
`boolean` | `isEmpty()` Gets the Empty attribute of the ActionQueue object
`Action` | `peek()` Description of the Method
`void` | `put(Action a)` Description of the Method
`void` | `remove(Action a)` Description of the Method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionQueue

    public ActionQueue()

Method Detail

### get

    public Action get()

  Description of the Method

  Returns:
    Description of the Returned Value

### isEmpty

    public boolean isEmpty()

  Gets the Empty attribute of the ActionQueue object

  Returns:
    The Empty value

### peek

    public Action peek()

  Description of the Method

  Returns:
    Description of the Returned Value

### put

    public void put(Action a)

  Description of the Method

  Parameters:
    `a` - Description of Parameter

### remove

    public void remove(Action a)

  Description of the Method

  Parameters:
    `a` - Description of Parameter

### empty

    public void empty()

  Description of the Method

### actions

    public Vector actions()

  Returns a Vector with the actions that are currently in the queue.

  Returns:
    Description of the Returned Value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD